Bug 431918 - automount does not work on first attempt
automount does not work on first attempt
Status: CLOSED DUPLICATE of bug 304111
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: autofs (Show other bugs)
5.1
x86_64 Linux
low Severity high
: rc
: ---
Assigned To: Jeff Moyer
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-07 15:20 EST by Allen Jordan
Modified: 2008-02-28 12:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 12:52:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Allen Jordan 2008-02-07 15:20:04 EST
Description of problem:
When accessing nfs automounted directories, the first attempt fails.
But the second attempts works.
For example if I "cd" to an automounted directory it will fail on the first 
attempt. But if I try "cd" again, it will work.
FYI - This works on our RedHat 4 U5 boxes for the same nfs filesystem.

Version-Release number of selected component (if applicable):
RedHat AS 5.1


How reproducible:
Make sure filesytem is not surrently automounted.
CD into the NFS filesystem. You should get an error.
Try the CD again. It should work.


Steps to Reproduce:
1. cd /[nfs filesystem]
2. Error
3. cd /[nfs filesystem] - should work.
  
Actual results:
valley:/apps/oracle-10.2.0> l /irb/hydtools				# 
First time the command fails
ls: /irb/hydtools: No such file or directory
valley:/apps/oracle-10.2.0> l /irb/hydtools				# 2nd 
(or 3rd) time it works
total 78880
drwxrwxrwx  9 bobw    hyddev     8192 Nov 10  2005 jdk1.5.0_06
drwxrwxr-x  3 bobw    hyddev       96 Mar 28  2006 berkeleyDB
-rwxrwxrwx  1 bobw    hyddev 43681923 Mar 28  2006 jdk-1_5_0_06-linux-amd64.bin


Expected results:
I expect no errors.

Additional info:
Comment 1 Jeff Moyer 2008-02-07 16:16:39 EST
This problem was addressed in kernel 2.6.18-53.1.3.el5.  The fix should be
present in erratum RHSA-2007-0993.  Can you try the newer kernel and report your
reuslts, please?  See bz381071 for more information.

Thanks!
Comment 2 Jeff Moyer 2008-02-15 13:01:02 EST
Were you able to try the new kernel?
Comment 3 Jeff Moyer 2008-02-22 11:03:59 EST
I'm still waiting for testing feedback.
Comment 4 Jeff Moyer 2008-02-28 12:52:23 EST
I'm almost certain this issue is a duplicate of 304111.  I'm closing this as
such, since I can't seem to get any feedback from the reporter.

*** This bug has been marked as a duplicate of 304111 ***

Note You need to log in before you can comment on or make changes to this bug.